export type BridgeAccountConfig = {
    bridgeAccounts: BridgeAccount[];
    bridgeMSigs: BridgeMSig[];
};
export type BridgeAccount = {
    network: string;
    name: string;
    address: string;
};
export type BridgeMSig = {
    network: string;
    name: string;
    address: string;
    signers: string[];
};
export declare enum BridgeAccountNames {
    algorand_asaOwner = "algorand_asaOwner",
    algorand_algoOwner = "algorand_algoOwner",
    algorand_bridgeOwner = "algorand_bridgeOwner",
    algorand_feeReceiver = "algorand_feeReceiver",
    algorand_multisig1 = "algorand_multisig1",
    algorand_multisig2 = "algorand_multisig2",
    algorand__bridge = "algorand__bridge",
    algorand_asaVault = "algorand_asaVault",
    algorand_algoVault = "algorand_algoVault",
    solana_bridge_program_id = "bridge_program_id",
    solana_vesting_program_id = "vesting_program_id",
    solana_owner_address = "owner_address"
}
export declare class BridgeAccounts {
    private static bridgeAccounts;
    private static bridgeMSigs;
    static loadConfig(config: BridgeAccountConfig): void;
    static getAddress(name: BridgeAccountNames): string;
    static getAccountInfo(network: string, name: string): BridgeAccount | undefined;
    static getMSigInfo(network: string, name: string): BridgeMSig | undefined;
}
