export type BridgeTokenConfig = {
    tokens: BridgeToken[];
};
export type BridgeToken = {
    symbol: string;
    network: string;
    address: string | number | undefined;
    decimals: number;
    params: BridgeTokenParams;
};
export type BridgeTokenParams = {
    name: string | undefined;
    fee_divisor: number | undefined;
    min_transfer: number | undefined;
    max_transfer: number | undefined;
    total_supply: bigint | undefined;
};
export declare function BridgeTokenDefault(): BridgeToken;
export declare function BridgeTokenParamsDefault(): BridgeTokenParams;
export declare class BridgeTokens {
    private static _tokens;
    static loadConfig(config: BridgeTokenConfig): void;
    static get(network: string, symbol: string): BridgeToken | undefined;
    static add(...args: [token: BridgeToken]): void;
}
