"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValueUnits = void 0;
class ValueUnits {
    constructor() {
        this.value = 0;
        this.units = BigInt(0);
    }
    static fromValue(value, decimals) {
        {
            let returnValue = new ValueUnits();
            returnValue.value = value;
            returnValue.units = BigInt(value * Math.pow(10, decimals));
            return returnValue;
        }
    }
    static fromUnits(units, decimals) {
        {
            let returnValue = new ValueUnits();
            returnValue.units = units;
            let x = units.toString().padStart(decimals, "0");
            var position = x.length - decimals;
            var output = [x.slice(0, position), ".", x.slice(position)].join('');
            returnValue.value = Number(output);
            return returnValue;
        }
    }
}
exports.ValueUnits = ValueUnits;
